PETSc version 3.15.5
Fix/Edit manual page

# PetscGaussLobattoLegendreElementLaplacianCreate

computes the Laplacian for a single 1d GLL element

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreElementLaplacianCreate(PetscInt n,PetscReal *nodes,PetscReal *weights,PetscReal ***AA)

Not Collective

### Input Parameter

| n | - the number of GLL nodes
| nodes | - the GLL nodes
| weights | - the GLL weights

### Output Parameter

| A | - the stiffness element

### Notes

Destroy this with PetscGaussLobattoLegendreElementLaplacianDestroy()

You can access entries in this array with AA[i][j] but in memory it is stored in contiguous memory, row oriented (the array is symmetric)

### See Also

PetscDTGaussLobattoLegendreQuadrature(), PetscGaussLobattoLegendreElementLaplacianDestroy()

### Level

beginner

### Location

src/dm/dt/interface/dt.c

### Examples

src/ksp/ksp/tutorials/ex68.c.html
src/ksp/ksp/tutorials/ex69.c.html
src/ts/tutorials/ex50.c.html
src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages